package com.steerinfo.meterwork.meterworkprelink.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="计量预环节表")
public class MeterWorkPreLink implements IBasePO<String> {
    /**
     * 预环节编号(PRE_LINK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预环节编号",required=true)
    private String preLinkNo;

    /**
     * 预报编号（从预报表中获取）(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号（从预报表中获取）",required=true)
    private String predictionNo;

    /**
     * 流程编号(PROCESS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="流程编号",required=true)
    private String processNo;

    /**
     * 预流程编号(PRE_PROCESS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预流程编号",required=true)
    private String preProcessNo;

    /**
     * 计量环节编码(LINK_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="计量环节编码",required=true)
    private String linkCode;

    /**
     * 计量环节名称(LINK_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量环节名称",required=true)
    private String linkName;

    /**
     * 状态（0：待使用；1：已使用）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：待使用；1：已使用）",required=true)
    private String valueFlag;

    /**
     * 使用人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="使用人编号",required=true)
    private String createManNo;

    /**
     * 使用人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="使用人姓名",required=true)
    private String createManName;

    /**
     * 使用时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="使用时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 序号(SEQ_NO,DECIMAL,2)
     */
    @ApiModelProperty(value="序号",required=false)
    private Short seqNo;

    /**
     * 环节配置编号(LINK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="环节配置编号",required=false)
    private String linkNo;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.preLinkNo;
    }

    @Override
    public void setId(String preLinkNo) {
        this.preLinkNo = preLinkNo == null ? null : preLinkNo.trim();
    }

    public String getPreLinkNo() {
        return preLinkNo;
    }

    public void setPreLinkNo(String preLinkNo) {
        this.preLinkNo = preLinkNo == null ? null : preLinkNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getProcessNo() {
        return processNo;
    }

    public void setProcessNo(String processNo) {
        this.processNo = processNo == null ? null : processNo.trim();
    }

    public String getPreProcessNo() {
        return preProcessNo;
    }

    public void setPreProcessNo(String preProcessNo) {
        this.preProcessNo = preProcessNo == null ? null : preProcessNo.trim();
    }

    public String getLinkCode() {
        return linkCode;
    }

    public void setLinkCode(String linkCode) {
        this.linkCode = linkCode == null ? null : linkCode.trim();
    }

    public String getLinkName() {
        return linkName;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName == null ? null : linkName.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Short getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(Short seqNo) {
        this.seqNo = seqNo;
    }

    public String getLinkNo() {
        return linkNo;
    }

    public void setLinkNo(String linkNo) {
        this.linkNo = linkNo == null ? null : linkNo.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", preLinkNo=").append(preLinkNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", processNo=").append(processNo);
        sb.append(", preProcessNo=").append(preProcessNo);
        sb.append(", linkCode=").append(linkCode);
        sb.append(", linkName=").append(linkName);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", seqNo=").append(seqNo);
        sb.append(", linkNo=").append(linkNo);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}